Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Class ProtectBlockMode

    java.lang.Object
      com.mindbright.terminal.tandem6530.ModeBase
          com.mindbright.terminal.tandem6530.ProtectBlockMode

All Implemented Interfaces:
  AsciiCodes, Mode

public class ProtectBlockMode
extends ModeBase

Field Summary
`protected static int` | `COLS`
`protected DataType` | `dataTypeTable`
`protected DisplayView` | `display`
`protected int` | `displayPage`
`protected FixedFieldAttributeTable` | `fixedTable`
`protected boolean` | `hasSelection`
`protected boolean` | `insertMode`
`protected int` | `MAX_PAGES`
`protected ProtectedScreen[]` | `pages`
`protected static int` | `ROWS`
`protected int` | `selectBottomCol`
`protected int` | `selectBottomRow`
`protected int` | `selectClickRow`
`protected boolean` | `selectClickState`
`protected int` | `selectedPage`
`protected int` | `selectTopCol`
`protected int` | `selectTopRow`
`protected Terminal6530Callback` | `termCallback`
`protected VariableFieldAttributeTable` | `varTable`

Fields inherited from class com.mindbright.terminal.tandem6530.ModeBase
`COLUMNS`

Fields inherited from interface com.mindbright.terminal.tandem6530.AsciiCodes
`BELL, BS, CR, DC1, DC2, DC3, DC4, ENQ, EOT, ESC, ETX, FS, GS, HT, LF, LRC, NUL, SOH`

Constructor Summary
`ProtectBlockMode(Terminal6530Callback termCallback, int maxPages)`

Method Summary
`void` | `doBackspace()`
`void` | `doBackTab()`
`void` | `doCarriageReturn()`
`void` | `doClearMemoryToSpaces(int startRow, int startCol, int endRow, int endColumn)`
`void` | `doClickSelect(int row, int col, java.lang.String selectDelims)`
`void` | `doCursorHome()`
`void` | `doCursorHomeDown()`
`void` | `doCursorRight()`
`void` | `doCursorUp()`
`void` | `doDefineDataTypeTable(int startIndex, byte[] entries)`
`void` | `doDefineFieldAttribute(int row, int column, boolean useFixed, int tableRow)`
`void` | `doDefineVariableTable(int startIndex, FieldAttributes[] attribs)`
`void` | `doDeleteCharacter()`
`void` | `doDeleteLine()`
`void` | `doDisplayPage(int n)`
`void` | `doEraseToEndOfLineOrField()`
`void` | `doEraseToEndOfPageOrMemory()`
`void` | `doHTab()`
`void` | `doInsertCharacter()`
`void` | `doInsertLine()`
`void` | `doLineFeed()`
`java.lang.String` | `doReadWholePageOrBuffer()`
`java.lang.String` | `doReadWithAddress(int startRow, int startCol, int endRow, int endCol)`
`java.lang.String` | `doReadWithAddressAll(int startRow, int startCol, int endRow, int endCol)`
`void` | `doResetMoifiedDataTags()`
`void` | `doResetVariableTable()`
`void` | `doSelectPage(int n)`
`void` | `doSetBufferAddress(int row, int column)`
`void` | `doSetCursorAddress(boolean displayedPage, int row, int column)` Set cursor position.
`void` | `doSetMaxPageNumber(int n)`
`void` | `doStartField(FieldAttributes attribs)`
`void` | `doStartFieldExtended(FieldAttributes attribs)`
`int[]` | `getAttribs(int visTop, int row)`
`int` | `getBufferRows()`
`char[]` | `getChars(int visTop, int row)`
`int` | `getCol()`
`protected java.lang.String` | `getContents(int startRow, int startCol, int endRow, int endCol, java.lang.String eol)`
`protected void` | `getLine(java.lang.StringBuffer buf, int row, int startCol, int endCol, java.lang.String eol)`
`int` | `getPage()`
`int` | `getRow()`
`java.lang.String` | `getSelection(java.lang.String eol)`
`void` | `hostChar(char c)`
`void` | `keyHandler(char c, int virtualKey, int modifiers)`
`protected void` | `repaint()`
`void` | `resetClickSelect()`
`void` | `resetSelection()`
`void` | `selectAll()`
`void` | `setDisplay(DisplayView display)`
`void` | `setSelection(int anchorRow, int anchorCol, int endRow, int endCol)`
`void` | `switchReset()`
`void` | `updateCursorPosition(ProtectedScreen screen, Position cursor)`
`void` | `updateDirty()`
`void` | `updateDirty(ProtectedScreen screen, Position start, Position end)`

Methods inherited from class com.mindbright.terminal.tandem6530.ModeBase
`doClearAllTabs, doClearMemoryToSpaces, doClearTab, doDefineEnterKeyFunction, doDisableLocalLineEditing, doPageDown, doPageUp, doReadCursorAddress, doRollDown, doRollUp, doSetDefaultVideoAttribute, doSetTab, doSetVideoAttribute, doTab, getDisplayCols, getDisplayRows, getVisTop, search`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ROWS

    protected static final int ROWS

See Also:
  Constant Field Values

### COLS

    protected static final int COLS

See Also:
  Constant Field Values

### termCallback

    protected Terminal6530Callback termCallback

### pages

    protected ProtectedScreen[] pages

### displayPage

    protected int displayPage

### selectedPage

    protected int selectedPage

### dataTypeTable

    protected DataType dataTypeTable

### varTable

    protected VariableFieldAttributeTable varTable

### fixedTable

    protected FixedFieldAttributeTable fixedTable

### display

    protected DisplayView display

### insertMode

    protected boolean insertMode

### MAX_PAGES

    protected int MAX_PAGES

### selectTopRow

    protected int selectTopRow

### selectTopCol

    protected int selectTopCol

### selectBottomRow

    protected int selectBottomRow

### selectBottomCol

    protected int selectBottomCol

### hasSelection

    protected boolean hasSelection

### selectClickRow

    protected int selectClickRow

### selectClickState

    protected boolean selectClickState

Constructor Detail

### ProtectBlockMode

    public ProtectBlockMode(Terminal6530Callback termCallback,
                            int maxPages)

Method Detail

### updateCursorPosition

    public void updateCursorPosition(ProtectedScreen screen,
                                     Position cursor)

### updateDirty

    public void updateDirty()

### updateDirty

    public void updateDirty(ProtectedScreen screen,
                            Position start,
                            Position end)

### keyHandler

    public void keyHandler(char c,
                           int virtualKey,
                           int modifiers)

  Specified by:
    `keyHandler` in interface `Mode`
  Overrides:
    `keyHandler` in class `ModeBase`

### hostChar

    public void hostChar(char c)

  Specified by:
    `hostChar` in interface `Mode`
  Overrides:
    `hostChar` in class `ModeBase`

### getBufferRows

    public int getBufferRows()

  Specified by:
    `getBufferRows` in interface `Mode`
  Overrides:
    `getBufferRows` in class `ModeBase`

### setDisplay

    public void setDisplay(DisplayView display)

  Specified by:
    `setDisplay` in interface `Mode`
  Overrides:
    `setDisplay` in class `ModeBase`

### switchReset

    public void switchReset()

  Specified by:
    `switchReset` in interface `Mode`
  Overrides:
    `switchReset` in class `ModeBase`

### doBackspace

    public void doBackspace()

  Specified by:
    `doBackspace` in interface `Mode`
  Overrides:
    `doBackspace` in class `ModeBase`

### doHTab

    public void doHTab()

  Specified by:
    `doHTab` in interface `Mode`
  Overrides:
    `doHTab` in class `ModeBase`

### doLineFeed

    public void doLineFeed()

  Specified by:
    `doLineFeed` in interface `Mode`
  Overrides:
    `doLineFeed` in class `ModeBase`

### doCarriageReturn

    public void doCarriageReturn()

  Specified by:
    `doCarriageReturn` in interface `Mode`
  Overrides:
    `doCarriageReturn` in class `ModeBase`

### doSetBufferAddress

    public void doSetBufferAddress(int row,
                                   int column)

  Specified by:
    `doSetBufferAddress` in interface `Mode`
  Overrides:
    `doSetBufferAddress` in class `ModeBase`

### doSetCursorAddress

    public void doSetCursorAddress(boolean displayedPage,
                                   int row,
                                   int column)

  Description copied from class: `ModeBase`
  Set cursor position. See 2-6, 3-14.

  Specified by:
    `doSetCursorAddress` in interface `Mode`
  Overrides:
    `doSetCursorAddress` in class `ModeBase`
  Parameters:
    `displayedPage` - true to set cursor position in displayed page
    `row` - row number, starting from 1
    `column` - column number, starting from 1

### doDefineFieldAttribute

    public void doDefineFieldAttribute(int row,
                                       int column,
                                       boolean useFixed,
                                       int tableRow)

  Specified by:
    `doDefineFieldAttribute` in interface `Mode`
  Overrides:
    `doDefineFieldAttribute` in class `ModeBase`

### doStartField

    public void doStartField(FieldAttributes attribs)

  Specified by:
    `doStartField` in interface `Mode`
  Overrides:
    `doStartField` in class `ModeBase`

### doStartFieldExtended

    public void doStartFieldExtended(FieldAttributes attribs)

  Specified by:
    `doStartFieldExtended` in interface `Mode`
  Overrides:
    `doStartFieldExtended` in class `ModeBase`

### doBackTab

    public void doBackTab()

  Specified by:
    `doBackTab` in interface `Mode`
  Overrides:
    `doBackTab` in class `ModeBase`

### doSetMaxPageNumber

    public void doSetMaxPageNumber(int n)

  Specified by:
    `doSetMaxPageNumber` in interface `Mode`
  Overrides:
    `doSetMaxPageNumber` in class `ModeBase`

### doDefineDataTypeTable

    public void doDefineDataTypeTable(int startIndex,
                                      byte[] entries)

  Specified by:
    `doDefineDataTypeTable` in interface `Mode`
  Overrides:
    `doDefineDataTypeTable` in class `ModeBase`

### doResetVariableTable

    public void doResetVariableTable()

  Specified by:
    `doResetVariableTable` in interface `Mode`
  Overrides:
    `doResetVariableTable` in class `ModeBase`

### doDefineVariableTable

    public void doDefineVariableTable(int startIndex,
                                      FieldAttributes[] attribs)

  Specified by:
    `doDefineVariableTable` in interface `Mode`
  Overrides:
    `doDefineVariableTable` in class `ModeBase`

### doCursorUp

    public void doCursorUp()

  Specified by:
    `doCursorUp` in interface `Mode`
  Overrides:
    `doCursorUp` in class `ModeBase`

### doCursorRight

    public void doCursorRight()

  Specified by:
    `doCursorRight` in interface `Mode`
  Overrides:
    `doCursorRight` in class `ModeBase`

### doCursorHomeDown

    public void doCursorHomeDown()

  Specified by:
    `doCursorHomeDown` in interface `Mode`
  Overrides:
    `doCursorHomeDown` in class `ModeBase`

### doCursorHome

    public void doCursorHome()

  Specified by:
    `doCursorHome` in interface `Mode`
  Overrides:
    `doCursorHome` in class `ModeBase`

### doClearMemoryToSpaces

    public void doClearMemoryToSpaces(int startRow,
                                      int startCol,
                                      int endRow,
                                      int endColumn)

  Specified by:
    `doClearMemoryToSpaces` in interface `Mode`
  Overrides:
    `doClearMemoryToSpaces` in class `ModeBase`

### doEraseToEndOfPageOrMemory

    public void doEraseToEndOfPageOrMemory()

  Specified by:
    `doEraseToEndOfPageOrMemory` in interface `Mode`
  Overrides:
    `doEraseToEndOfPageOrMemory` in class `ModeBase`

### doEraseToEndOfLineOrField

    public void doEraseToEndOfLineOrField()

  Specified by:
    `doEraseToEndOfLineOrField` in interface `Mode`
  Overrides:
    `doEraseToEndOfLineOrField` in class `ModeBase`

### doReadWithAddress

    public java.lang.String doReadWithAddress(int startRow,
                                              int startCol,
                                              int endRow,
                                              int endCol)

  Specified by:
    `doReadWithAddress` in interface `Mode`
  Overrides:
    `doReadWithAddress` in class `ModeBase`

### doReadWithAddressAll

    public java.lang.String doReadWithAddressAll(int startRow,
                                                 int startCol,
                                                 int endRow,
                                                 int endCol)

  Specified by:
    `doReadWithAddressAll` in interface `Mode`
  Overrides:
    `doReadWithAddressAll` in class `ModeBase`

### doInsertLine

    public void doInsertLine()

  Specified by:
    `doInsertLine` in interface `Mode`
  Overrides:
    `doInsertLine` in class `ModeBase`

### doDeleteLine

    public void doDeleteLine()

  Specified by:
    `doDeleteLine` in interface `Mode`
  Overrides:
    `doDeleteLine` in class `ModeBase`

### doInsertCharacter

    public void doInsertCharacter()

  Specified by:
    `doInsertCharacter` in interface `Mode`
  Overrides:
    `doInsertCharacter` in class `ModeBase`

### doDeleteCharacter

    public void doDeleteCharacter()

  Specified by:
    `doDeleteCharacter` in interface `Mode`
  Overrides:
    `doDeleteCharacter` in class `ModeBase`

### doResetMoifiedDataTags

    public void doResetMoifiedDataTags()

  Specified by:
    `doResetMoifiedDataTags` in interface `Mode`
  Overrides:
    `doResetMoifiedDataTags` in class `ModeBase`

### doReadWholePageOrBuffer

    public java.lang.String doReadWholePageOrBuffer()

  Specified by:
    `doReadWholePageOrBuffer` in interface `Mode`
  Overrides:
    `doReadWholePageOrBuffer` in class `ModeBase`

### doDisplayPage

    public void doDisplayPage(int n)

  Specified by:
    `doDisplayPage` in interface `Mode`
  Overrides:
    `doDisplayPage` in class `ModeBase`

### doSelectPage

    public void doSelectPage(int n)

  Specified by:
    `doSelectPage` in interface `Mode`
  Overrides:
    `doSelectPage` in class `ModeBase`

### getRow

    public int getRow()

  Specified by:
    `getRow` in interface `Mode`
  Specified by:
    `getRow` in class `ModeBase`
  Returns:
    row number, starting at 1

### getCol

    public int getCol()

  Specified by:
    `getCol` in interface `Mode`
  Specified by:
    `getCol` in class `ModeBase`
  Returns:
    column number, starting at 1

### getPage

    public int getPage()

  Specified by:
    `getPage` in interface `Mode`
  Specified by:
    `getPage` in class `ModeBase`
  Returns:
    page number, starting at 1

### repaint

    protected void repaint()

### getChars

    public char[] getChars(int visTop,
                           int row)

  Specified by:
    `getChars` in interface `Mode`
  Overrides:
    `getChars` in class `ModeBase`

### getAttribs

    public int[] getAttribs(int visTop,
                            int row)

  Specified by:
    `getAttribs` in interface `Mode`
  Overrides:
    `getAttribs` in class `ModeBase`

### doClickSelect

    public void doClickSelect(int row,
                              int col,
                              java.lang.String selectDelims)

  Specified by:
    `doClickSelect` in interface `Mode`
  Overrides:
    `doClickSelect` in class `ModeBase`

### resetClickSelect

    public void resetClickSelect()

  Specified by:
    `resetClickSelect` in interface `Mode`
  Overrides:
    `resetClickSelect` in class `ModeBase`

### setSelection

    public void setSelection(int anchorRow,
                             int anchorCol,
                             int endRow,
                             int endCol)

  Specified by:
    `setSelection` in interface `Mode`
  Overrides:
    `setSelection` in class `ModeBase`

### selectAll

    public void selectAll()

  Specified by:
    `selectAll` in interface `Mode`
  Overrides:
    `selectAll` in class `ModeBase`

### resetSelection

    public void resetSelection()

  Specified by:
    `resetSelection` in interface `Mode`
  Overrides:
    `resetSelection` in class `ModeBase`

### getSelection

    public java.lang.String getSelection(java.lang.String eol)

  Specified by:
    `getSelection` in interface `Mode`
  Overrides:
    `getSelection` in class `ModeBase`

### getLine

    protected void getLine(java.lang.StringBuffer buf,
                           int row,
                           int startCol,
                           int endCol,
                           java.lang.String eol)

### getContents

    protected java.lang.String getContents(int startRow,
                                           int startCol,
                                           int endRow,
                                           int endCol,
                                           java.lang.String eol)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD